SidTuneInfoImpl Class Reference

`#include <SidTuneInfoImpl.h>`

Inheritance diagram for SidTuneInfoImpl:

## Public Member Functions

uint_least16_t | loadAddr () const
uint_least16_t | initAddr () const
uint_least16_t | playAddr () const
unsigned int | songs () const
unsigned int | startSong () const
unsigned int | currentSong () const
uint_least16_t | sidChipBase1 () const
| 0xD400 (normal, 1st SID) More...
uint_least16_t | sidChipBase2 () const
| 0xD??0 (2nd SID) or 0 (no 2nd SID) More...
uint_least16_t | sidChipBase (unsigned int i) const
bool | isStereo () const
int | sidChips () const
int | songSpeed () const
uint_least8_t | relocStartPage () const
uint_least8_t | relocPages () const
model_t | sidModel1 () const
| first SID More...
model_t | sidModel2 () const
| second SID More...
model_t | sidModel (unsigned int i) const
compatibility_t | compatibility () const
unsigned int | numberOfInfoStrings () const
| the number of available text info lines
const char * | infoString (unsigned int i) const
| text info from the format headers etc.
unsigned int | numberOfCommentStrings () const
| Number of comments.
const char * | commentString (unsigned int i) const
| Used to stash the MUS comment somewhere.
uint_least32_t | dataFileLen () const
uint_least32_t | c64dataLen () const
clock_t | clockSpeed () const
const char * | formatString () const
bool | fixLoad () const
const char * | path () const
const char * | dataFileName () const
const char * | infoFileName () const
Base addresses
The SID chip base address(es) used by the sidtune.
SID model
The SID chip model(s) requested by the sidtune.
Tune infos

Song title, credits, ...

- 0 = Title
- 1 = Author
- 2 = Released

Tune comments
MUS comments.

## Public Attributes

const char * | m_formatString
unsigned int | m_songs
unsigned int | m_startSong
unsigned int | m_currentSong
int | m_songSpeed
clock_t | m_clockSpeed
compatibility_t | m_compatibility
uint_least32_t | m_dataFileLen
uint_least32_t | m_c64dataLen
uint_least16_t | m_loadAddr
uint_least16_t | m_initAddr
uint_least16_t | m_playAddr
uint_least8_t | m_relocStartPage
uint_least8_t | m_relocPages
std::string | m_path
std::string | m_dataFileName
std::string | m_infoFileName
std::vector< model_t > | m_sidModels
std::vector< uint_least16_t > | m_sidChipAddresses
std::vector< std::string > | m_infoString
std::vector< std::string > | m_commentString
bool | m_fixLoad

## Additional Inherited Members

Public Types inherited from SidTuneInfo
enum | clock_t { CLOCK_UNKNOWN, CLOCK_PAL, CLOCK_NTSC, CLOCK_ANY }
enum | model_t { SIDMODEL_UNKNOWN, SIDMODEL_6581, SIDMODEL_8580, SIDMODEL_ANY }
enum | compatibility_t { COMPATIBILITY_C64, COMPATIBILITY_PSID, COMPATIBILITY_R64, COMPATIBILITY_BASIC }
Static Public Attributes inherited from SidTuneInfo
static const int | SPEED_VBI = 0
| Vertical-Blanking-Interrupt.
static const int | SPEED_CIA_1A = 60
| CIA 1 Timer A.

## Detailed Description

The implementation of the SidTuneInfo interface.

## Member Function Documentation

## c64dataLen()

uint_least32_t SidTuneInfoImpl::c64dataLen | ( |  | ) | const

inline virtual

Length of raw C64 data without load address.

Implements SidTuneInfo.

## clockSpeed()

clock_t SidTuneInfoImpl::clockSpeed | ( |  | ) | const

inline virtual

The tune clock speed.

Implements SidTuneInfo.

## compatibility()

compatibility_t SidTuneInfoImpl::compatibility | ( |  | ) | const

inline virtual

Compatibility requirements.

Implements SidTuneInfo.

## currentSong()

unsigned int SidTuneInfoImpl::currentSong | ( |  | ) | const

inline virtual

The tune that has been initialized.

Implements SidTuneInfo.

## dataFileLen()

uint_least32_t SidTuneInfoImpl::dataFileLen | ( |  | ) | const

inline virtual

Length of single-file sidtune file.

Implements SidTuneInfo.

## dataFileName()

const char* SidTuneInfoImpl::dataFileName | ( |  | ) | const

inline virtual

A first file: e.g. "foo.sid" or "foo.mus".

Implements SidTuneInfo.

## fixLoad()

bool SidTuneInfoImpl::fixLoad | ( |  | ) | const

inline virtual

Whether load address might be duplicate.

Implements SidTuneInfo.

## formatString()

const char* SidTuneInfoImpl::formatString | ( |  | ) | const

inline virtual

The name of the identified file format.

Implements SidTuneInfo.

## infoFileName()

const char* SidTuneInfoImpl::infoFileName | ( |  | ) | const

inline virtual

A second file: e.g. "foo.str". Returns 0 if none.

Implements SidTuneInfo.

## initAddr()

uint_least16_t SidTuneInfoImpl::initAddr | ( |  | ) | const

inline virtual

Init Address.

Implements SidTuneInfo.

## isStereo()

bool SidTuneInfoImpl::isStereo | ( |  | ) | const

inline virtual

Whether sidtune uses two SID chips.

Deprecated:
  use sidChips()

Implements SidTuneInfo.

## loadAddr()

uint_least16_t SidTuneInfoImpl::loadAddr | ( |  | ) | const

inline virtual

Load Address.

Implements SidTuneInfo.

## path()

const char* SidTuneInfoImpl::path | ( |  | ) | const

inline virtual

Path to sidtune files.

Implements SidTuneInfo.

## playAddr()

uint_least16_t SidTuneInfoImpl::playAddr | ( |  | ) | const

inline virtual

Play Address.

Implements SidTuneInfo.

## relocPages()

uint_least8_t SidTuneInfoImpl::relocPages | ( |  | ) | const

inline virtual

Number of pages available for relocation.

Implements SidTuneInfo.

## relocStartPage()

uint_least8_t SidTuneInfoImpl::relocStartPage | ( |  | ) | const

inline virtual

First available page for relocation.

Implements SidTuneInfo.

## sidChipBase()

uint_least16_t SidTuneInfoImpl::sidChipBase | ( | unsigned int | i | ) | const

inline virtual

Since
  1.8

Implements SidTuneInfo.

## sidChipBase1()

uint_least16_t SidTuneInfoImpl::sidChipBase1 | ( |  | ) | const

inline virtual

0xD400 (normal, 1st SID)

Deprecated:
  use sidChipBase() with i=0

Implements SidTuneInfo.

## sidChipBase2()

uint_least16_t SidTuneInfoImpl::sidChipBase2 | ( |  | ) | const

inline virtual

0xD??0 (2nd SID) or 0 (no 2nd SID)

Deprecated:
  use sidChipBase() with i=1

Implements SidTuneInfo.

## sidChips()

int SidTuneInfoImpl::sidChips | ( |  | ) | const

inline virtual

Get the number of SID chips required by the tune.

Implements SidTuneInfo.

## sidModel()

model_t SidTuneInfoImpl::sidModel | ( | unsigned int | i | ) | const

inline virtual

Since
  1.8

Implements SidTuneInfo.

## sidModel1()

model_t SidTuneInfoImpl::sidModel1 | ( |  | ) | const

inline virtual

first SID

Deprecated:
  use sidModel() with i=0

Implements SidTuneInfo.

## sidModel2()

model_t SidTuneInfoImpl::sidModel2 | ( |  | ) | const

inline virtual

second SID

Deprecated:
  use sidModel() with i=1

Implements SidTuneInfo.

## songs()

unsigned int SidTuneInfoImpl::songs | ( |  | ) | const

inline virtual

The number of songs.

Implements SidTuneInfo.

## songSpeed()

int SidTuneInfoImpl::songSpeed | ( |  | ) | const

inline virtual

Intended speed.

Implements SidTuneInfo.

## startSong()

unsigned int SidTuneInfoImpl::startSong | ( |  | ) | const

inline virtual

The default starting song.

Implements SidTuneInfo.

The documentation for this class was generated from the following file:

- SidTuneInfoImpl.h